Subject: [PATCH RFC 1/6] Re: send-email: Add --delay for separating emails

From: Nicolas Sebrecht <[email-masked]>
Date: Wed, 8 Apr 2009 00:08:54 +0200

On Tue, Apr 07, 2009 at 05:51:43PM -0400, Jeff King wrote:

> > When sending a patch series, the emails often arrive at the final
> > destination out of order; though these emails should be chained
> > via the In-Reply-To headers, some mail-viewing systems display
> > by order of arrival instead.
> > 
> > The --delay option provides a means for specifying that there
> > should be a certain number of seconds of delay between sending
> > emails, so that the arrival order can be controlled better.
> > 
> > Signed-off-by: Michael Witten <[email-masked]>

> I think it may still be reasonable to implement a solution that only
> covers some of the cases, but I what I am asking is if we know what
> percentage of the cases that is. If we are preventing only 1% of
> out-of-order deliveries with this, I question whether it is worth the
> bother.

IMHO, this improvement is broken by design. We try to fix a
receiver-only issue by a sender side fix.

If the receiver wants the patch series be in a good ordered _for sure_, he
has to switch to a client mail supporting the In-Reply-To chains.

-- 
Nicolas Sebrecht